Skip to main content
POST
/
v1
/
threads
/
{thread_id}
/
runs
/
stream
Stream agent run
curl --request POST \
  --url https://flow.seekr.com/v1/threads/{thread_id}/runs/stream \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "agent_id": "default_agent",
  "model_settings": {
    "temperature": 1,
    "top_p": 1,
    "frequency_penalty": 0,
    "presence_penalty": 0
  },
  "response_format": {
    "json_schema": {}
  },
  "group": "default_group",
  "metadata": {}
}
'
import requests

url = "https://flow.seekr.com/v1/threads/{thread_id}/runs/stream"

payload = {
    "agent_id": "default_agent",
    "model_settings": {
        "temperature": 1,
        "top_p": 1,
        "frequency_penalty": 0,
        "presence_penalty": 0
    },
    "response_format": { "json_schema": {} },
    "group": "default_group",
    "metadata": {}
}
headers = {
    "Authorization": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    agent_id: 'default_agent',
    model_settings: {temperature: 1, top_p: 1, frequency_penalty: 0, presence_penalty: 0},
    response_format: {json_schema: {}},
    group: 'default_group',
    metadata: {}
  })
};

fetch('https://flow.seekr.com/v1/threads/{thread_id}/runs/stream', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

Your Seekr API key, sent in the Authorization header with no 'Bearer' prefix.

Headers

x-team-id
string | null

Path Parameters

thread_id
string
required

Body

application/json

Request model for creating a run.

agent_id
string
default:default_agent
model_settings
ModelSettings · object

Settings to use when calling an LLM.

This class holds optional model configuration parameters (e.g. temperature, top_p, penalties, truncation, etc.).

Not all models/providers support all of these parameters, so please check the API documentation for the specific model and provider you are using.

response_format
ResponseFormat · object | null

Specifies a JSON schema for structured output.

When provided, the LLM will be constrained to return a JSON response that matches the specified schema.

group
string
default:default_group
metadata
Metadata · object | null

Response

Successful Response

Last modified on June 18, 2026